# Class: AbstractLink

## AbstractLink

#### new AbstractLink()

Source:
  - ui/base/abstract-link.js, line 8

### Extends

- AbstractControl

### Events

#### action

Dispatched when the link is activated through a mouse click, finger tap.

##### Parameters:

Name | Type | Description
--- | --- | ---
`event` | Event |

Source:
  - ui/base/abstract-link.js, line 16

#### action

Dispatched when the button is activated through a mouse click, finger tap, or when focused and the spacebar is pressed.

##### Type:

- Event

##### Properties:

Name | Type | Description
--- | --- | ---
`detail` | Map | pass custom data in this property

Overrides:
  - AbstractControl#event:action
Source:
  - ui/base/abstract-control.js, line 18